## shell-tray-manager shell-tray-manager |

## Functions

ShellTrayManager * | shell_tray_manager_new ()
void | shell_tray_manager_manage_screen ()

## Properties

ClutterColor * | bg-color | Read / Write / Construct Only

## Signals

void | tray-icon-added | Run Last
void | tray-icon-removed | Run Last

## Types and Values

#define | SHELL_TYPE_TRAY_MANAGER
| ShellTrayManager

## Object Hierarchy

        GObject
        ╰── ShellTrayManager

## Description

## Functions

### shell_tray_manager_new ()

    ShellTrayManager *
    shell_tray_manager_new (void);

### shell_tray_manager_manage_screen ()

    void
    shell_tray_manager_manage_screen (ShellTrayManager *manager,
                                      MetaScreen *screen,
                                      StWidget *theme_widget);

## Types and Values

### SHELL_TYPE_TRAY_MANAGER

    #define SHELL_TYPE_TRAY_MANAGER (shell_tray_manager_get_type ())

### ShellTrayManager

    typedef struct _ShellTrayManager ShellTrayManager;

## Property Details

### The `“bg-color”` property

      “bg-color”                 ClutterColor *

Background color (only if we don't have transparency).

Flags: Read / Write / Construct Only

## Signal Details

### The `“tray-icon-added”` signal

    void
    user_function (ShellTrayManager *shelltraymanager,
                   ClutterActor     *arg1,
                   gpointer          user_data)

Flags: Run Last

### The `“tray-icon-removed”` signal

    void
    user_function (ShellTrayManager *shelltraymanager,
                   ClutterActor     *arg1,
                   gpointer          user_data)

Flags: Run Last